rm -r /etc/tor/*
cp /install/torrc /etc/tor/

mkdir /srv/servnest/tor-config
chown -R $servnest:$tor /srv/servnest/tor-config
chmod -R u=rwX,g=rX,o= /srv/servnest/tor-config

mkdir /srv/servnest/tor-keys
chown -R $tor: /srv/servnest/tor-keys
chmod -R u=rwX,g=,o= /srv/servnest/tor-keys

# For systemd
mkdir /etc/systemd/system/tor.service.d
cp /install/tor.service.override.conf /etc/systemd/system/tor.service.d/

if [[ $OS = "debian" ]]; then
	mv /etc/systemd/system/tor.service.d/ /etc/systemd/system/tor@default.service.d/
	sed -i 's/User tor/User debian-tor/' /etc/tor/torrc
	sed -i 's/reload tor/reload tor@default/' /etc/sudoers.d/servnest
	sed -i 's/ALL=(tor)/ALL=(debian-tor)/' /etc/sudoers.d/servnest
	sed -i 's/systemctl reload tor"/systemctl reload tor@default"/' /srv/servnest/core/config.ini
	sed -i 's/tor_user = "tor"/tor_user = "debian-tor"/' /srv/servnest/core/config.ini
fi
