#!/usr/bin/bash

sudo -u $knot mkdir -p /var/lib/knot/confdb/

# Load configuration in Knot database
sudo -u $knot knotc conf-import /install/knot.conf

# We need servnest to be allowed to configure Knot
usermod -aG $knot $servnest # Add user $servnest to group $knot
chown -R $knot: /var/lib/knot/confdb
chmod -R u=rwX,g=rwX,o= /var/lib/knot/confdb

mkdir -p /srv/servnest/reg
chown -R $servnest:$knot /srv/servnest/reg
chmod -R u=rwX,g=rwX,o= /srv/servnest/reg

mkdir /srv/servnest/ns
chown -R $servnest:$knot /srv/servnest/ns
chmod -R u=rwX,g=rwX,o= /srv/servnest/ns
