#!/usr/bin/bash

rm -r /etc/php/*
cp /install/php-fpm.conf /etc/php/

export PHP_INI=/etc/php/php.ini

if [[ $OS = "debian" ]]; then
	mkdir -p /etc/php/8.2/fpm/
	ln -s /etc/php/8.2/fpm/ /etc/php/8.2/cli
	mv /etc/php/php-fpm.conf /etc/php/8.2/fpm/
	export PHP_INI=/etc/php/8.2/fpm/php.ini
fi

cp /etc/php.ini-development $PHP_INI

if [[ $OS = "debian" ]]; then
	echo "extension = pdo" >> $PHP_INI
fi

if [[ $OS = "arch" ]]; then
	echo "extension = sodium" >> $PHP_INI
fi

cat /install/php.ini >> $PHP_INI

# For systemd
mkdir /etc/systemd/system/php-fpm.service.d
cp /install/php-fpm.service.override.conf /etc/systemd/system/php-fpm.service.d/
